From jonsmirl@gmail.com Tue Jun 14 06:59:32 2005
Message-ID: <9e47339105061406544498d24b@mail.gmail.com>
Date: Tue, 14 Jun 2005 09:54:54 -0400
From: Jon Smirl <jonsmirl@gmail.com>
To: Greg KH <greg@kroah.com>
Subject: SYSFS: fix PAGE_SIZE check

Without this change I can't set an attribute exactly PAGE_SIZE in
length. There is no need for zero termination because the interface
uses lengths.

From: Jon Smirl <jonsmirl@gmail.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 fs/sysfs/file.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

--- gregkh-2.6.orig/fs/sysfs/file.c	2005-06-16 15:19:44.000000000 -0700
+++ gregkh-2.6/fs/sysfs/file.c	2005-06-16 16:21:29.000000000 -0700
@@ -182,7 +182,7 @@
 		return -ENOMEM;
 
 	if (count >= PAGE_SIZE)
-		count = PAGE_SIZE - 1;
+		count = PAGE_SIZE;
 	error = copy_from_user(buffer->page,buf,count);
 	buffer->needs_read_fill = 1;
 	return error ? -EFAULT : count;
